# GooglePodcastSubs

A quick and dirty Python 3 script to extract the names/authors of podcasts from your Google Podcasts subscriptions page, because Google is killing the service in 2024 and doesn't provide a way to export a list of your subscriptions.

**The script leverages the very latest "it worked on my machine" methodology, so use at your own risk and please don't expect support.**

The Subscriptions page doesn't seem to include external links (ie. to RSS/Atom feeds) at all, so this script's output is only useful as a record of podcast names and authors. You'll still have to search for them yourself, but at least you'll have some information to work from if your memory is anything like mine!

You'll need to install [Beautiful Soup](https://www.crummy.com/software/BeautifulSoup/) in your Python environment, using your preferred tool, such as `pip`.

You may prefer to install BeautifulSoup and run this script from within a Python virtual environment.

All the script really does is load the html file, look for a couple of CSS selectors that indicate a podcast's title and author, and output the text inside the corresponding html tags to disk. I have no control over the selectors used, so this could be a problem if Big G change their styling at some point before the demise of Podcasts.

Output is saved to a tab-delimited text file in the format: `Podcast Title<tab>Podcast Author`.

## Things you can adust

- The name and path of the input file via the variable `input_filename`
- The name and path of the output file via the variable `output_filename`
- Whether to echo each line of output to the your terminal via the variable `SHOW_OUTPUT`
- The CSS class selectors in `class_search_list`. Only do this if you really have to -- your browser's developer tools should come in useful for spotting which classes will work.

## Things this script won't do for you

- Behave like a "proper" command line tool!
- Download your Podcasts subscription page
- Save RSS/Atom links to help you subscribe using another service
- Write output to OPML
- Check for errors *at all*

## How to use

- Download this repo to a directory on your hard disk. Extract it to a directory if downloaded as an archive.
- Use your browser to save your Subscriptions page
- Check that you have the Beautiful Soup python library installed.
- Open the repo folder in your terminal app.
- Edit filenames as appropriate to point to your downloaded html file and the preferred output filename/path.
- Run the script with the command `python bs-google-podcasts-extractor.py`
- Load the output file (by default this is called `google-podcasts-names.txt`) in a text editor.
- Search for the podcast names in your new Podcast application/service.

**Good luck!**



